Get all PriceTags

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/priceTag

Returns a list of price tags that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of price tags was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : PriceTagOracle
Type: object
Title: PriceTagOracle
The price tag resource.
Show Source
Nested Schema : priceTagRules
Type: array
A list of price tag rules associated with the price tag.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : PriceTagRuleOracle
Type: object
Title: PriceTagRuleOracle
The price tag rule resource.
Show Source
Nested Schema : BalanceElementRef
Type: object
Title: BalanceElementRef
The balance element ref in price.
Show Source
Nested Schema : serviceSpecification
Type: array
A list of service specifications associated with the price tag rule.
Show Source
Nested Schema : ServiceSpecificationRefOracle
Title: ServiceSpecificationRefOracle
Match All
Show Source
  • ServiceSpecificationRef
    Title: ServiceSpecificationRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ServiceSpecificationRef":"#/components/schemas/ServiceSpecificationRef", "ServiceSpecificationRefOracle":"#/components/schemas/ServiceSpecificationRefOracle" } }
    The service specification reference: ServiceSpecification(s) required to realize a ProductSpecification.
  • ServiceSpecificationRefOracle-allOf[1]
Nested Schema : ServiceSpecificationRef
Type: object
Title: ServiceSpecificationRef
Discriminator: @type

Discriminator Values

The service specification reference: ServiceSpecification(s) required to realize a ProductSpecification.
Show Source
Nested Schema : ServiceSpecificationRefOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all price tags by submitting a get request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/priceTag -H 'Content-Type: application/json' | json_pp

Example of Response Body

The following shows an example of the response body in JSON format.

[
{
    "id": "PT_0091",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/priceTag/PT_0091",
    "name": "Price Tag1",
    "lastUpdate": "2025-02-17T13:09:27.124Z",
    "lifecycleStatus": "In design",
    "version": "1.0",
    "@type": "PriceTagOracle",
    "description" : "Price Tag 1",
    "validFor": {
        "startDateTime": "2024-08-09T00:00:00.000Z",
        "endDateTime": "2028-08-09T00:00:00.000Z"
    }
    "project": {
        "id": "I0601",
        "name": "I0601",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/I0601",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "priceTagRules": [
        {
            "id": "pt-rule-1",
            "unitOfMeasure": "ALL",
            "productType": "ALL",
            "valueType": "LIST",
            "balanceElementCode": "ALL",
            "value": "10;20"
        }
    ],
    "lastUpdatedBy": "booth",
    "created": "2025-02-17T13:09:27.000Z",
    "createdBy": "booth",
    "versionState": 0
},
{
    "id": "PT_0090",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/priceTag/PT_0090",
    "name": "Price Tag90",
    "lastUpdate": "2025-02-17T13:09:27.124Z",
    "lifecycleStatus": "In design",
    "version": "1.0",
    "@type": "PriceTagOracle",
    "description" : "Price Tag 90",
    "validFor": {
        "startDateTime": "2024-08-09T00:00:00.000Z",
        "endDateTime": "2028-08-09T00:00:00.000Z"
    }
    "project": {
        "id": "I0601",
        "name": "I0601",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/I0601",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "priceTagRules": [
        {
            "id": "pt-rule-1",
            "unitOfMeasure": "ALL",
            "productType": "ALL",
            "valueType": "LIST",
            "balanceElementCode": "ALL",
            "value": "10;20"
        }
    ],
    "lastUpdatedBy": "booth",
    "created": "2025-02-17T13:09:27.000Z",
    "createdBy": "booth",
    "versionState": 0
}
]
Back to Top